import { useNavigate } from 'react-router-dom';

import { ButtonCard } from '../components';
import TitleComponent from '../components/TitleComponent';
import { Header } from '../containers';
import colors from '../utils/colors';
import fontawesome from '../utils/fontawesome';

function MenuCoordenador() {
  const navigate = useNavigate();

  return (
    <div style={styles.background}>
      <Header text="Área do Coordenador" disableArrow={false} enableLogout />
      <div style={styles.title}>
        <TitleComponent text="Nome da Escola" textSize="1.5em" />
      </div>
      <div style={styles.buttonsContainer}>
        <div style={styles.button}>
          <ButtonCard
            text="GERENCIAR ALUNOS"
            backgroundColor={colors.theme.blue}
            textSize="1.2em"
            sizeIcon="1.8em"
            icon={fontawesome.icons.faGraduationCap}
            onClick={() => navigate('/lista-alunos-coordenador')}
          />
        </div>
        <div style={styles.button}>
          <ButtonCard
            text="GERENCIAR USUÁRIOS"
            backgroundColor={colors.theme.blue}
            textSize="1.2em"
            sizeIcon="1.8em"
            icon={fontawesome.icons.faUsers}
            onClick={() => navigate('/lista-usuarios')}
          />
        </div>
      </div>
    </div>
  );
}

const styles = {
  background: {
    background: colors.theme.background,
    minHeight: '100vh',
  },
  buttonsContainer: {
    flex: 1,
    display: 'flex',
    flexDirection: 'column' as const,
    alignItems: 'center',
    alignContent: 'center',
  },
  button: {
    margin: 20,
  },
  title: {
    margin: 30,
  },
};

export default MenuCoordenador;
