import { useNavigate } from 'react-router-dom';
import ButtonCard from '../components/ButtonCard';
import Header from '../containers/Header';
import colors from '../utils/colors';
import fontawesome from '../utils/fontawesome';

function MenuEspecialista() {
  const navigate = useNavigate();

  return (
    <div style={styles.backColor}>
      <Header text="Área do Especialista" disableArrow={false} enableLogout />
      <div style={styles.buttonsContainer}>
        <div style={styles.buttons}>
          <ButtonCard
            text="MATERIAIS"
            icon={fontawesome.icons.faBook}
            backgroundColor={colors.theme.blue}
            textSize="1.2em"
            sizeIcon="1.8em"
            onClick={() => navigate('/area-especialista/lista-materiais')}
          />
        </div>
        <div style={styles.buttons}>
          <ButtonCard
            text="MEUS MATERIAIS"
            icon={fontawesome.icons.faBookOpenReader}
            backgroundColor={colors.theme.blue}
            textSize="1.2em"
            sizeIcon="1.8em"
            onClick={() => navigate('/area-especialista/meus-materiais')}
          />
        </div>
        <div style={styles.buttons}>
          <ButtonCard
            text="FÓRUM"
            backgroundColor={colors.theme.blue}
            textSize="1.2em"
            sizeIcon="1.8em"
            onClick={() => navigate('/forum-lista-posts')}
          />
        </div>
      </div>
    </div>
  );
}

const styles = {
  backColor: {
    flex: 1,
    background: colors.theme.background,
    minHeight: '100vh',
  },
  buttonsContainer: {
    flex: 1,
    display: 'flex',
    flexDirection: 'column' as const,
    alignItems: 'center',
    alignContent: 'center',
    marginTop: '4.688rem',
  },
  buttons: {
    margin: 20,
    marginTop: 30,
  },
};

export default MenuEspecialista;
