import { useNavigate } from 'react-router-dom';

import { ButtonCard } from '../components';
import { Header } from '../containers';
import colors from '../utils/colors';
import fontawesome from '../utils/fontawesome';

function MenuProfessor() {
  const navigate = useNavigate();

  return (
    <div style={styles.background}>
      <Header text="Área do Professor" disableArrow={false} enableLogout />
      <div style={styles.buttonsContainer}>
        <div style={styles.button}>
          <ButtonCard
            text="LISTA DE ALUNOS"
            icon={fontawesome.icons.faAddressBook}
            backgroundColor={colors.theme.blue}
            textSize="1.2em"
            sizeIcon="1.8em"
            onClick={() => navigate('/lista-alunos-professor')}
          />
        </div>
        <div style={styles.button}>
          <ButtonCard
            text="MATERIAIS"
            icon={fontawesome.icons.faBook}
            backgroundColor={colors.theme.blue}
            textSize="1.2em"
            sizeIcon="1.8em"
            onClick={() => navigate('/area-professor/lista-materiais')}
          />
        </div>
        <div style={styles.button}>
          <ButtonCard
            text="FÓRUM"
            icon={fontawesome.icons.faComments}
            backgroundColor={colors.theme.blue}
            textSize="1.2em"
            sizeIcon="1.8em"
            onClick={() => navigate('/forum-lista-posts')}
          />
        </div>
      </div>
    </div>
  );
}

const styles = {
  background: {
    background: colors.theme.background,
    minHeight: '100vh',
  },
  buttonsContainer: {
    flex: 1,
    display: 'flex',
    flexDirection: 'column' as const,
    alignItems: 'center',
    alignContent: 'center',
    marginTop: '4.688rem',
  },
  button: {
    margin: 20,
    marginTop: 30,
  },
};

export default MenuProfessor;
