/* eslint-disable no-return-assign */
import api from './api';

export interface MaterialData {
  title: string;
  content: string;
  user_id: number;
}

export interface CreateMaterialDataPayload {
  title: string;
  content: string;
}

export async function createMaterialData(data: CreateMaterialDataPayload) {
  let response = null;
  await api
    .post(`/materials/`, data)
    .then(data => (response = data))
    .catch(error => {
      throw error;
    });
  return response;
}

export async function getMaterialDataById(
  materialId: number,
): Promise<MaterialData> {
  const response = await api
    .get(`/materials/${materialId}`)
    .then(response => response.data.data)
    .catch(error => {
      console.log(error);
    });
  return response;
}

export async function deleteMaterialData(materialId: number): Promise<any> {
  let response = null;
  await api
    .delete(`/materials/${materialId}`)
    .then(data => (response = data))
    .catch(error => {
      throw error;
    });
  return response;
}

export async function editMaterialData(
  materialId: number,
  data: CreateMaterialDataPayload,
): Promise<MaterialData> {
  const response = await api
    .put(`/materials/${materialId}`, data)
    .then(response => response.data.data)
    .catch(error => {
      console.log(error);
    });
  return response;
}
