/* eslint-disable no-return-assign */
import api from './api';

export interface ResponsiblePayload {
  name: string;
  phone_number: string;
  email: string;
  document: string;
  password: string;
}

const serviceName = '/users/responsibles';

export async function createResponsible(responsible: ResponsiblePayload) {
  let response = null;
  await api
    .post(`${serviceName}`, responsible)
    .then(data => (response = data))
    .catch(error => {
      throw error;
    });
  return response;
}

export async function updateResponsible(
  id: number,
  responsible: ResponsiblePayload,
): Promise<any> {
  let response = null;
  await api
    .put(`${serviceName}/${id}`, responsible)
    .then(data => (response = data))
    .catch(error => {
      throw error;
    });
  return response;
}

export async function getAllResponsibles(): Promise<any> {
  const response = await api
    .get(`${serviceName}`)
    .then(response => response.data.data)
    .catch(error => {
      throw error;
    });
  return response;
}

export async function getResponsibleById(id: number): Promise<any> {
  const response = await api
    .get(`${serviceName}/${id}`)
    .then(response => response.data.data)
    .catch(error => {
      throw error;
    });
  return response;
}

export async function deleteResponsible(id: number): Promise<any> {
  const response = await api
    .delete(`${serviceName}/${id}`)
    .then(response => response.data.data)
    .catch(error => {
      throw error;
    });
  return response;
}
